import React from 'react';
import classNames from 'classnames';
import "./ReadPretty.less";
var TranslationReadPretty = function TranslationReadPretty(props) {
  var value = props.value,
    renderMode = props.renderMode;
  return /*#__PURE__*/React.createElement("span", {
    className: classNames('pisell-translation-read-pretty', {
      'pisell-translation-read-pretty-table-view': renderMode === 'tableView'
    })
  }, (value === null || value === void 0 ? void 0 : value.original) || '');
};
export default TranslationReadPretty;